Public Member Functions | Protected Member Functions | Protected Attributes

# SmallMapWindow::LinkDrawer Class Reference

Inheritance diagram for SmallMapWindow::LinkDrawer:

## Public Member Functions
LinkDetails | DrawLinks (const SmallMapWindow *w, bool search)
## Protected Member Functions
virtual void | DrawContent ()=0
virtual void | Highlight ()
virtual void | AddLink (const LinkStat &orig_link, const FlowStat &orig_flow, const LegendAndColour &cargo_entry)=0
FORCEINLINE bool | IsLinkVisible ()
void | DrawLink (StationID sta, StationID stb)
virtual void | DrawForwBackLinks (StationID sta, StationID stb)
## Protected Attributes
Point | pta
Point | ptb
bool | search_link_details
LinkDetails | link_details
const SmallMapWindow * | window

## Detailed Description

Definition at line 2322 of file smallmap_gui.cpp.

The documentation for this class was generated from the following file:

- src/smallmap_gui.cpp